Reference
Agent specs
List Specs
Query Parameters
limit?integer
Default
100Range
1 <= value <= 100offset?integer
Default
0Range
0 <= valueowner_scope?|
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/agents/specs"{
"specs": [
{
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
"description": "string",
"frontmatter": {},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"markdown": "string",
"name": "string",
"slug": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e"
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Spec
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
markdown*string
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/agents/specs" \ -H "Content-Type: application/json" \ -d '{ "markdown": "string" }'{
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
"description": "string",
"frontmatter": {},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"markdown": "string",
"name": "string",
"slug": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Spec
Path Parameters
spec_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/agents/specs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
"description": "string",
"frontmatter": {},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"markdown": "string",
"name": "string",
"slug": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Update Spec
Path Parameters
spec_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
markdown*string
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/agents/specs/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "markdown": "string" }'{
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
"description": "string",
"frontmatter": {},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"markdown": "string",
"name": "string",
"slug": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Spec
Path Parameters
spec_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/agents/specs/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}